CommandWithParties
Keywords: net.corda.core.contracts.CommandWithParties class
Date: 2023-09-18

net.corda.core.contracts

## Class CommandWithParties<T extends CommandData>

- net.corda.core.contracts.CommandWithParties<T>

-     public class CommandWithParties<T extends CommandData>

  A `class Command` where the signing parties have been looked up if they have a well known/recognised institutional key.

  See Also:
    `class Command`

- - ### Constructor Detail

    - #### CommandWithParties

          public CommandWithParties(@NotNull
                                    java.util.List<? extends java.security.PublicKey> signers,
                                    @NotNull
                                    java.util.List<net.corda.core.identity.Party> signingParties,
                                    @NotNull
                                    T value)

      A `class Command` where the signing parties have been looked up if they have a well known/recognised institutional key.

      Parameters:
        `signingParties` - If any public keys were recognised, the looked up institutions are available here
      See Also:
        `class Command`

  - ### Method Detail

    - #### getSigners

          @NotNull
          public java.util.List<java.security.PublicKey> getSigners()

    - #### getSigningParties

          @NotNull
          public java.util.List<net.corda.core.identity.Party> getSigningParties()

      Deprecated.

      If any public keys were recognised,

      the looked up institutions are available here

    - #### getValue

          @NotNull
          public T getValue()

    - #### component1

          @NotNull
          public java.util.List<java.security.PublicKey> component1()

    - #### component2

          @NotNull
          public java.util.List<net.corda.core.identity.Party> component2()

      If any public keys were recognised,

      the looked up institutions are available here

    - #### component3

          @NotNull
          public T component3()

    - #### copy

          @NotNull
          public CommandWithParties<T> copy(@NotNull
                                                     java.util.List<? extends java.security.PublicKey> signers,
                                                     @NotNull
                                                     java.util.List<net.corda.core.identity.Party> signingParties,
                                                     @NotNull
                                                     T value)

      A `class Command` where the signing parties have been looked up if they have a well known/recognised institutional key.

      See Also:
        `class Command`

    - #### toString

          @NotNull
          public java.lang.String toString()

      A `class Command` where the signing parties have been looked up if they have a well known/recognised institutional key.

      See Also:
        `class Command`

    - #### hashCode

          public int hashCode()

      A `class Command` where the signing parties have been looked up if they have a well known/recognised institutional key.

      See Also:
        `class Command`

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      A `class Command` where the signing parties have been looked up if they have a well known/recognised institutional key.

      See Also:
        `class Command`